POST api/NTNonInjury/UpdatePWCovidTest
Request Information
URI Parameters
None.
Body Parameters
CovidTestDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNo | integer |
None. |
|
| DateOfTest | date |
None. |
|
| TestTypeId | integer |
None. |
|
| TestResult | integer |
None. |
|
| TestResultReceived | date |
None. |
|
| FacilityName | string |
String length: inclusive between 0 and 100 |
|
| FacilityAddress1 | string |
String length: inclusive between 0 and 60 |
|
| FacilityAddress2 | string |
String length: inclusive between 0 and 60 |
|
| FacilityCity | string |
String length: inclusive between 0 and 30 |
|
| FacilityState | string |
String length: inclusive between 0 and 20 |
|
| FacilityZipCode | string |
String length: inclusive between 0 and 10 |
|
| FacilityCountry | string |
String length: inclusive between 0 and 20 |
|
| TestTypeName | string |
String length: inclusive between 0 and 100 |
|
| FullAddress | string |
String length: inclusive between 0 and 8000 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CaseNo": 2,
"DateOfTest": "2026-08-04T14:29:27.8356416-07:00",
"TestTypeId": 1,
"TestResult": 1,
"TestResultReceived": "2026-08-04T14:29:27.8356416-07:00",
"FacilityName": "sample string 3",
"FacilityAddress1": "sample string 4",
"FacilityAddress2": "sample string 5",
"FacilityCity": "sample string 6",
"FacilityState": "sample string 7",
"FacilityZipCode": "sample string 8",
"FacilityCountry": "sample string 9",
"TestTypeName": "sample string 10",
"FullAddress": "sample string 4 sample string 5, sample string 6, sample string 7, sample string 8, sample string 9",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:27.8356416-07:00",
"DateUpdated": "2026-08-04T14:29:27.8356416-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15,
"CompanyCode": "sample string 16",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCovidTestDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CovidTestDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNo": 2,
"DateOfTest": "2026-08-04T14:29:27.8512647-07:00",
"TestTypeId": 1,
"TestResult": 1,
"TestResultReceived": "2026-08-04T14:29:27.8512647-07:00",
"FacilityName": "sample string 3",
"FacilityAddress1": "sample string 4",
"FacilityAddress2": "sample string 5",
"FacilityCity": "sample string 6",
"FacilityState": "sample string 7",
"FacilityZipCode": "sample string 8",
"FacilityCountry": "sample string 9",
"TestTypeName": "sample string 10",
"FullAddress": "sample string 4 sample string 5, sample string 6, sample string 7, sample string 8, sample string 9",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:27.8512647-07:00",
"DateUpdated": "2026-08-04T14:29:27.8512647-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15,
"CompanyCode": "sample string 16",
"IsExcludeDiscount": true
},
"totalCount": 3
}